/*
Theme Name: rbocache child
Theme URI: https://bricksbuilder.io/
Template: bricks
Author: Raül Bocache
Author URI: https://rbocache.com
Description: Visual website builder for WordPress.
Version: 1.0.0
Updated: 2024-06-21 17:00:00

*/


/*Quitar estilo del elemento al tener el foco*/

body.bricks-is-frontend :focus {
    outline: none;
}

.texto-legal {
    font-size: 13px;
    text-align: justify;
    color: #ccc;
}

/*Estilos gráfico de procesos*/

#product-progress .progress_inner #step-1:checked + input + input + input + input + div + div + div + div > .box_base, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_base, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_base, #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div > .box_base, #product-progress .progress_inner #step-2:checked + input + input + input + div + div + div + div > .box_base {
    top: 50%;
    left: 0px;
    opacity: 1;
  }
  #product-progress .progress_inner #step-1:checked + input + input + input + input + div + div + div + div > .box_item, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_item, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_item, #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div > .box_item, #product-progress .progress_inner #step-2:checked + input + input + input + div + div + div + div > .box_item {
    top: -30px;
    left: 0px;
    opacity: 0;
  }
  
  #product-progress .progress_inner #step-2:checked + input + input + input + div + div + div + div > .box_lid, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_lid, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_lid {
    top: -20px;
    left: 0px;
    opacity: 0;
  }
  #product-progress .progress_inner #step-2:checked + input + input + input + div + div + div + div > .box_item, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_item, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_item {
    top: -10px;
    left: 0px;
    opacity: 1;
  }
  
  #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div > .box_item, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_item, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_item {
    top: 10px;
    left: 0px;
    opacity: 1;
  }
  #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div > .box_lid, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_lid, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_lid {
    top: -1px;
    left: 0px;
    opacity: 1;
  }
  #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div > .box_ribbon, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_ribbon, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_ribbon {
    top: 70%;
    left: 0px;
    opacity: 0;
  }
  #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div > .box_bow, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_bow, #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_bow {
    top: 0px;
    left: 0px;
    opacity: 0;
  }
  
  #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_ribbon, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_ribbon {
    top: 50%;
    left: 0px;
    opacity: 1;
  }
  #product-progress .progress_inner #step-4:checked + input + div + div + div + div > .box_bow, #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_bow {
    top: -10px;
    left: 0px;
    opacity: 1;
  }
  
  #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_tag {
    top: 10px;
    left: 20px;
    opacity: 1;
  }
  #product-progress .progress_inner #step-5:checked + div + div + div + div > .box_string {
    top: 10px;
    left: 20px;
    opacity: 1;
  }
  
  #product-progress * {
    box-sizing: border-box;
  }
  
  #product-progress .progress_inner__status .box_string, #product-progress .progress_inner__status .box_tag, #product-progress .progress_inner__status .box_bow__right, #product-progress .progress_inner__status .box_bow__left, #product-progress .progress_inner__status .box_bow, #product-progress .progress_inner__status .box_ribbon, #product-progress .progress_inner__status .box_item, #product-progress .progress_inner__status .box_base, #product-progress .progress_inner, #product-progress .progress_inner__step:before {
    position: absolute;
    left: 0;
    right: 0;
    top: 25%;
    transform: translateY(-50%);
    margin: auto;
  }
  
  #product-progress .progress_inner__bar--set, #product-progress .progress_inner__bar {
    height: 6px;
    left: 10%;
    background: repeating-linear-gradient(45deg, #75549e, #75549e 4px, #6ab14c 4px, #6ab14c 10px);
    transition: width 800ms cubic-bezier(0.915, 0.015, 0.3, 1.005);
    border-radius: 6px;
    width: 0;
    position: relative;
    z-index: -1;
  }
  
  #product-progress .progress_inner__step:before {
    width: 30px;
    height: 30px;
    color: #75549e;
    background: white;
    line-height: 25px;
    border: 3px solid #664a89;
    font-size: 12px;
    top: 3px;
    border-radius: 100%;
    transition: all 0.4s;
    cursor: pointer;
    pointer-events: none;
  }
  
  #product-progress .progress_inner__step {
    width: 20%;
    font-size: 14px;
    padding: 0 10px;
    transition: all 0.4s;
    float: left;
    text-align: center;
    position: relative;
  }
  #product-progress .progress_inner__step label {
    padding-top: 50px;
    top: -20px;
    display: block;
    position: relative;
    cursor: pointer;
  }
  #product-progress .progress_inner__step:hover {
    color: white;
  }
  #product-progress .progress_inner__step:hover:before {
    color: white;
    background: #6ab14c;
  }
  
  #product-progress {
    color: #2e6c8e;
    text-align: center;
    font-weight: 900;
    height: 800px;
  }
  #product-progress .progress_inner {
    height: 200px;
    width: 800px;
  }
  #product-progress .progress_inner #step-5:checked + div {
    width: 80%;
  }
  #product-progress .progress_inner #step-5:checked + div + div + div > .tab:nth-of-type(5) {
    opacity: 1;
    top: 40px;
  }
  #product-progress .progress_inner #step-5:checked + div + div + div + div {
    right: 10%;
  }
  #product-progress .progress_inner #step-4:checked + input + div {
    width: 60%;
  }
  #product-progress .progress_inner #step-4:checked + input + div + div + div > .tab:nth-of-type(4) {
    opacity: 1;
    top: 40px;
  }
  #product-progress .progress_inner #step-4:checked + input + div + div + div + div {
    right: 30%;
  }
  #product-progress .progress_inner #step-3:checked + input + input + div {
    width: 40%;
  }
  #product-progress .progress_inner #step-3:checked + input + input + div + div + div > .tab:nth-of-type(3) {
    opacity: 1;
    top: 40px;
  }
  #product-progress .progress_inner #step-3:checked + input + input + div + div + div + div {
    right: 50%;
  }
  #product-progress .progress_inner #step-2:checked + input + input + input + div {
    width: 20%;
  }
  #product-progress .progress_inner #step-2:checked + input + input + input + div + div + div > .tab:nth-of-type(2) {
    opacity: 1;
    top: 40px;
  }
  #product-progress .progress_inner #step-2:checked + input + input + input + div + div + div + div {
    right: 70%;
  }
  #product-progress .progress_inner #step-1:checked + input + input + input + input + div {
    width: 0%;
  }
  #product-progress .progress_inner #step-1:checked + input + input + input + input + div + div + div > .tab:nth-of-type(1) {
    opacity: 1;
    top: 40px;
  }
  #product-progress .progress_inner #step-1:checked + input + input + input + input + div + div + div + div {
    right: 90%;
  }
  #product-progress .progress_inner__step:nth-of-type(1):before {
    content: "1";
  }
  #product-progress .progress_inner__step:nth-of-type(2):before {
    content: "2";
  }
  #product-progress .progress_inner__step:nth-of-type(3):before {
    content: "3";
  }
  #product-progress .progress_inner__step:nth-of-type(4):before {
    content: "4";
  }
  #product-progress .progress_inner__step:nth-of-type(5):before {
    content: "5";
  }
  #product-progress .progress_inner__bar--set {
    width: 80%;
    top: -6px;
    background: #ccc;
    position: relative;
    z-index: -2;
  }
  #product-progress .progress_inner__tabs .tab {
    opacity: 0;
    position: absolute;
    top: 40px;
    text-align: center;
    margin-top: 120px;
    border: 1px solid #eee;
    padding: 30px;
    background: white;
    border-radius: 10px;
    transition: all 0.2s;
  }
  #product-progress .progress_inner__tabs .tab h1 {
    margin: 0;
  }
  #product-progress .progress_inner__tabs .tab p {
    font-weight: 400;
    opacity: 0.8;
  }
  #product-progress .progress_inner__status {
    width: 40px;
    height: 40px;
    top: -80px;
    transition: right 800ms cubic-bezier(0.915, 0.015, 0.3, 1.005);
    transform: translateX(50%);
    position: absolute;
  }
  #product-progress .progress_inner__status div {
    opacity: 0;
    transition: all 600ms cubic-bezier(0.915, 0.015, 0.3, 1.005);
    transition-delay: 300ms;
  }
  #product-progress .progress_inner__status div {
    position: absolute;
  }
  #product-progress .progress_inner__status .box_base {
    background: repeating-linear-gradient(45deg, #986c5d, #986c5d 2px, #775144 2px, #775144 4px);
    width: 36px;
    height: 40px;
    z-index: 1;
    border-radius: 1px;
  }
  #product-progress .progress_inner__status .box_lid {
    width: 40px;
    height: 13.3333333333px;
    background: #775144;
    z-index: 2;
    border-radius: 1px;
    top: 0;
  }
  #product-progress .progress_inner__status .box_item {
    width: 20px;
    height: 20px;
    background: #be69d2;
    z-index: 0;
    border-radius: 4px;
    transform: rotate(45deg);
  }
  #product-progress .progress_inner__status .box_ribbon {
    width: 10px;
    height: 42px;
    background: #ee0f29;
    z-index: 4;
    border-radius: 1px;
  }
  #product-progress .progress_inner__status .box_bow__right, #product-progress .progress_inner__status .box_bow__left {
    width: 6px;
    height: 10px;
    background: #be0c21;
    position: absolute;
    z-index: 3;
    opacity: 1;
    border-radius: 1px;
  }
  #product-progress .progress_inner__status .box_bow {
    top: -6px;
    z-index: 1;
    transition-delay: 500ms;
  }
  #product-progress .progress_inner__status .box_bow__left {
    left: 6px;
    transform: rotate(45deg);
  }
  #product-progress .progress_inner__status .box_bow__right {
    left: -4px;
    transform: rotate(-45deg);
  }
  #product-progress .progress_inner__status .box_tag {
    width: 20px;
    height: 10px;
    background: #487ac7;
    z-index: 4;
    transform: rotate(-10deg) translateX(-40px) translateY(0px);
    border-radius: 2px;
    transition-delay: 500ms;
  }
  #product-progress .progress_inner__status .box_string {
    width: 17px;
    height: 2px;
    background: #343434;
    z-index: 4;
    transform: rotate(-39deg) translateX(-22px) translateY(-12px);
  }
  #product-progress .progress_inner input[type=radio] {
    display: none;
  }